> For the complete documentation index, see [llms.txt](https://docs.idrx.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.idrx.co/api/transaction-api/post-api-transaction-bridge-request.md).

# POST /api/transaction/bridge-request

{% hint style="info" %}
Check [this page](https://docs.idrx.co/introduction/supported-chain-and-contract-address) to see the list of chains where IDRX is available
{% endhint %}

{% hint style="info" %}

* The balance will be processed and credited to \`**`` destinationWalletAddress` ``**  max 24 hours after your request is submitted.
* Minimum transaction is 20,000 IDR.
  {% endhint %}

## Parameters

1. **`txHashBurn` (String):**

   This parameter represents the unique transaction hash or identifier associated with the burning (redeeming) of IDRX tokens.
2. **`bridgeToChainId` (Number):**

   This parameter identifies the target blockchain network where the stable tokens are being bridged.
3. **`bridgeFromChainId` (Number):**

   This parameter indicates the source blockchain network from which the stable tokens are being bridged.&#x20;
4. **`amount` (String):**

   This parameter specifies the quantity or value of stable tokens being bridged.
5. **`bridgeNonce` (String):**

   This parameter is a unique identifier received from the burning transaction event. It acts as a nonce, ensuring the uniqueness of the bridging transaction.
6. **`destinationWalletAddress` (String):**

   This wallet address that will receive the bridged amount.

### Example Request

```
curl -X POST '<https://idrx.co/api/transaction/mint-bridge-request>' --header 'idrx-api-key: <API_KEY>' --header 'idrx-api-sig: <signature>' --header 'idrx-api-ts': <timestamp>'
```

**Payload**

```json
{
  "txHashBurn": "string",
  "bridgeToChainId": 0,
  "bridgeFromChainId": 0,
  "amount": "string",
  "bridgeNonce": "string",
  "destinationWalletAddress": "string"
}
```

## Response

If the request is successful, the response will be as shown below:

```json
{
  "statusCode": 201,
  "message": "success",
  "data": {
    "id": 3,
    "userId": 1,
    "bridgeFromChainId": 80001,
    "bridgeToChainId": 97,
    "txHashBurn": "0x38ef6a20db393505fbae51f5f9ec9197013cee21bccafabf8ef37261aa2039d9",
    "txHashMint": null,
    "qredoTxId": null,
    "signedTx": null,
    "bridgeNonce": "0",
    "amount": "100000",
    "bridgeStatus": "REQUESTED",
    "deleted": false
  }
}
```

To check the status of your transaction, you can use the [Transaction History API](/api/transaction-api/get-api-transaction-user-transaction-history.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.idrx.co/api/transaction-api/post-api-transaction-bridge-request.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
